zoom.cpp File Reference
`#include <Magick++.h>`
`#include <iostream>`
`#include <string>`
Include dependency graph for zoom.cpp:

Go to the source code of this file.

## Functions

static void | Usage (char **argv)
static void | ParseError (int position, char **argv)
int | main (int argc, char **argv)

## Function Documentation

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 37 of file zoom.cpp.

References Magick::Image::columns(), Magick::Image::density(), Magick::Image::filterType(), Magick::Geometry, Magick::InitializeMagick(), Magick::Point::isValid(), ParseError(), Magick::Image::rows(), Magick::Image::sample(), Magick::Image::scale(), Usage(), Magick::Image::write(), Magick::Point::x(), Magick::Point::y(), and Magick::Image::zoom().

## ParseError()

static void ParseError | ( | int | position,
|  | char ** | argv
| ) |  |

static

Definition at line 30 of file zoom.cpp.

References Usage().

Referenced by main().

## Usage()

static void Usage | ( | char ** | argv | ) |

static

Definition at line 20 of file zoom.cpp.

Referenced by main(), and ParseError().